org.red5.io.flv

## Class IKeyFrameDataAnalyzer.KeyFrameMeta

- java.lang.Object
- - org.red5.io.flv.IKeyFrameDataAnalyzer.KeyFrameMeta

All Implemented Interfaces:
  Serializable

Enclosing interface:
  IKeyFrameDataAnalyzer

    public static class IKeyFrameDataAnalyzer.KeyFrameMeta
    extends Object
    implements Serializable

Keyframe metadata.

See Also:
  Serialized Form

### Field Summary

Fields
`int` `audioCodecId` Audio codec id.
`boolean` `audioOnly` Only audio frames?
`long` `duration` Duration in milliseconds
`long[]` `positions` Keyframe positions
`int[]` `timestamps` Keyframe timestamps
`int` `videoCodecId` Video codec id.

### Constructor Summary

Constructors
Constructor and Description
`IKeyFrameDataAnalyzer.KeyFrameMeta()`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### videoCodecId

    public int videoCodecId

Video codec id.

#### audioCodecId

    public int audioCodecId

Audio codec id.

#### duration

    public long duration

Duration in milliseconds

#### audioOnly

    public boolean audioOnly

Only audio frames?

#### timestamps

    public int[] timestamps

Keyframe timestamps

#### positions

    public long[] positions

Keyframe positions

### Constructor Detail

#### IKeyFrameDataAnalyzer.KeyFrameMeta

    public IKeyFrameDataAnalyzer.KeyFrameMeta()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`